package net.sourceforge.ganttproject.task;

import net.sourceforge.ganttproject.CustomPropertyDefinition;

public class CustomPropertyEvent {

    public static final int EVENT_ADD = 0;

    public static final int EVENT_REMOVE = 1;

    public static final int EVENT_REBUILD = 2;
    private final int myType;


    private CustomPropertyDefinition myDefinition;

    public CustomPropertyEvent(int type, CustomPropertyDefinition definition) {
        myType = type;
        myDefinition = definition;
    }

    public CustomPropertyDefinition getDefinition() {
        return myDefinition;
    }
    public String getColName() {
        return myDefinition.getName();
    }

    public int getType() {
        return myType;
    }

}
